Прогресс доставки Campaign
/api/v1/developer/campaigns/{campaignId}/dispatch-progressВозвращает Campaigns-owned aggregate dispatch counters без recipients, Delivery payloads, provider identifiers или inferred lifecycle state.
Право доступаcampaigns.read
Authorization: Bearer YOUR_PROJECT_TOKEN
Параметры
campaignIdобязательно · pathstringminLength: 1 · maxLength: 160JSON Schema
{ "type": "string", "minLength": 1, "maxLength": 160 }
Примеры запроса
curl --request GET 'https://YOUR_NOVA_HOST/api/v1/developer/campaigns/CAMPAIGN_ID/dispatch-progress' --header 'Authorization: Bearer YOUR_PROJECT_TOKEN'
Ответы
200 Aggregate Campaign dispatch progress
application/jsonobject
progressобязательно- object
Вложенная схема
objecttotalобязательно- integerminimum: 0
pendingобязательно- integerminimum: 0
inFlightобязательно- integerminimum: 0
retryScheduledобязательно- integerminimum: 0
dispatchedобязательно- integerminimum: 0
deniedобязательно- integerminimum: 0
cancelledобязательно- integerminimum: 0
attemptedобязательно- integerminimum: 0
failedOnceобязательно- integerminimum: 0
JSON Schema
{ "type": "object", "properties": { "total": { "type": "integer", "minimum": 0 }, "pending": { "type": "integer", "minimum": 0 }, "inFlight": { "type": "integer", "minimum": 0 }, "retryScheduled": { "type": "integer", "minimum": 0 }, "dispatched": { "type": "integer", "minimum": 0 }, "denied": { "type": "integer", "minimum": 0 }, "cancelled": { "type": "integer", "minimum": 0 }, "attempted": { "type": "integer", "minimum": 0 }, "failedOnce": { "type": "integer", "minimum": 0 } }, "required": [ "total", "pending", "inFlight", "retryScheduled", "dispatched", "denied", "cancelled", "attempted", "failedOnce" ] }
JSON Schema
{
"type": "object",
"properties": {
"progress": {
"type": "object",
"properties": {
"total": {
"type": "integer",
"minimum": 0
},
"pending": {
"type": "integer",
"minimum": 0
},
"inFlight": {
"type": "integer",
"minimum": 0
},
"retryScheduled": {
"type": "integer",
"minimum": 0
},
"dispatched": {
"type": "integer",
"minimum": 0
},
"denied": {
"type": "integer",
"minimum": 0
},
"cancelled": {
"type": "integer",
"minimum": 0
},
"attempted": {
"type": "integer",
"minimum": 0
},
"failedOnce": {
"type": "integer",
"minimum": 0
}
},
"required": [
"total",
"pending",
"inFlight",
"retryScheduled",
"dispatched",
"denied",
"cancelled",
"attempted",
"failedOnce"
]
}
},
"required": [
"progress"
],
"additionalProperties": false,
"$ref": "#/components/schemas/DeveloperCampaignDispatchProgressResponse"
}400 Invalid Campaign identifier
application/problem+jsonobject
type- stringformat: "uri" · default: "about:blank"
titleобязательно- string
statusобязательно- integerminimum: 100 · maximum: 599
detail- string
instance- string
errors- object
JSON Schema
{
"type": "object",
"properties": {
"type": {
"type": "string",
"format": "uri",
"default": "about:blank"
},
"title": {
"type": "string"
},
"status": {
"type": "integer",
"minimum": 100,
"maximum": 599
},
"detail": {
"type": "string"
},
"instance": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"title",
"status"
]
}401 Invalid developer credential
application/problem+jsonobject
type- stringformat: "uri" · default: "about:blank"
titleобязательно- string
statusобязательно- integerminimum: 100 · maximum: 599
detail- string
instance- string
errors- object
JSON Schema
{
"type": "object",
"properties": {
"type": {
"type": "string",
"format": "uri",
"default": "about:blank"
},
"title": {
"type": "string"
},
"status": {
"type": "integer",
"minimum": 100,
"maximum": 599
},
"detail": {
"type": "string"
},
"instance": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"title",
"status"
]
}403 Campaign directory unavailable
application/problem+jsonobject
type- stringformat: "uri" · default: "about:blank"
titleобязательно- string
statusобязательно- integerminimum: 100 · maximum: 599
detail- string
instance- string
errors- object
JSON Schema
{
"type": "object",
"properties": {
"type": {
"type": "string",
"format": "uri",
"default": "about:blank"
},
"title": {
"type": "string"
},
"status": {
"type": "integer",
"minimum": 100,
"maximum": 599
},
"detail": {
"type": "string"
},
"instance": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"title",
"status"
]
}404 Campaign not found
application/problem+jsonobject
type- stringformat: "uri" · default: "about:blank"
titleобязательно- string
statusобязательно- integerminimum: 100 · maximum: 599
detail- string
instance- string
errors- object
JSON Schema
{
"type": "object",
"properties": {
"type": {
"type": "string",
"format": "uri",
"default": "about:blank"
},
"title": {
"type": "string"
},
"status": {
"type": "integer",
"minimum": 100,
"maximum": 599
},
"detail": {
"type": "string"
},
"instance": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"title",
"status"
]
}429 Developer API rate limit exceeded
application/problem+jsonobject
type- stringformat: "uri" · default: "about:blank"
titleобязательно- string
statusобязательно- integerminimum: 100 · maximum: 599
detail- string
instance- string
errors- object
JSON Schema
{
"type": "object",
"properties": {
"type": {
"type": "string",
"format": "uri",
"default": "about:blank"
},
"title": {
"type": "string"
},
"status": {
"type": "integer",
"minimum": 100,
"maximum": 599
},
"detail": {
"type": "string"
},
"instance": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"title",
"status"
]
}503 Developer API rate limiter unavailable
application/problem+jsonobject
type- stringformat: "uri" · default: "about:blank"
titleобязательно- string
statusобязательно- integerminimum: 100 · maximum: 599
detail- string
instance- string
errors- object
JSON Schema
{
"type": "object",
"properties": {
"type": {
"type": "string",
"format": "uri",
"default": "about:blank"
},
"title": {
"type": "string"
},
"status": {
"type": "integer",
"minimum": 100,
"maximum": 599
},
"detail": {
"type": "string"
},
"instance": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"title",
"status"
]
}